<?xml version="1.0" encoding="utf-8"?>
<Element>

    <Script>
        <Name>AllToPPGenerator\AllToPPGeneratorPySample.py</Name>
        <Title>RectangleBeam</Title>
        <Version>1.0</Version>
        <Interactor>True</Interactor>
        <ReadLastInput>True</ReadLastInput>

    </Script>
    
    <Constants>
        <Constant>
            <Name>IsBarCount</Name>
            <Value>1</Value>
            <ValueType>Integer</ValueType>
        </Constant>
        <Constant>
            <Name>IsBarSpacing</Name>
            <Value>2</Value>
            <ValueType>Integer</ValueType>
        </Constant>
    </Constants>
    
    <Page>
        <Name>RectangleBeam</Name>
        <Text>RectangleBeam</Text>

        
    <Parameter>
        <Name>AlltoBuiltinPythonpartElement</Name>
        <Text>Create as PythonPart element</Text>
        <Value>True</Value>
        <ValueType>CheckBox</ValueType>
    </Parameter>

    <Parameter>
        <Name>AlltoBuiltinDatas</Name>
        <Text>Allto Datas</Text>
        <Value></Value>
        <Visible>False</Visible>
        <ValueType>String</ValueType>
    </Parameter>

    <Parameter>
        <Name>AlltoBuiltinRebarDatas</Name>
        <Text>Allto Datas</Text>
        <Value></Value>
        <Visible>False</Visible>
        <ValueType>String</ValueType>
    </Parameter>
    

    </Page>
    
    <Page>
        <Name>Reinforcement</Name>
        <Text>Reinforcement</Text>

        <!-- Select rebar -->
        <Parameter>
            <Name>OnSelectRebar</Name>
            <Text>Select rebar by</Text>
            <Value>0</Value>
            <ValueType>RadioButtonGroup</ValueType>
            <Parameter>
                <Name>None</Name>
                <Text>None</Text>
                <Value>0</Value>
                <ValueType>RadioButton</ValueType>
            </Parameter>
            <Parameter>
                <Name>ClickSelecttion</Name>
                <Text>Click selection</Text>
                <Value>1</Value>
                <ValueType>RadioButton</ValueType>
            </Parameter>
            <Parameter>
                <Name>WindowSelection</Name>
                <Text>Window selection</Text>
                <Value>2</Value>
                <ValueType>RadioButton</ValueType>
            </Parameter>
            <Parameter>
                <Name>GroupNameSelection</Name>
                <Text>Group name</Text>
                <Value>3</Value>
                <ValueType>RadioButton</ValueType>
            </Parameter>
            <Parameter>
                <Name>RebarGroupNameList</Name>
                <Text> </Text>
                <Value></Value>
                <ValueList></ValueList>
                <ValueType>StringCombobox</ValueType>
                <Visible>OnSelectRebar==3</Visible>
            </Parameter>

        </Parameter>

        <!-- Properties -->
        <Parameter>
            <Name>PropertiesExpander</Name>
            <Text>Properties</Text>
            <ValueType>Expander</ValueType>

            <Parameter>
                <Name>AlltoRein_SteelGrade</Name>
                <Text>Steel grade</Text>
                <Value>4</Value>
                <ValueType>ReinfSteelGrade</ValueType>
            </Parameter>
            <Parameter>
                <Name>AlltoRein_Diameter</Name>
                <Text>Diameter</Text>
                <Value>10.0</Value>
                <ValueType>ReinfBarDiameter</ValueType>
            </Parameter>
            <Parameter>
                <Name>AlltoRein_RotateAngle</Name>
                <Text>Rotation angle</Text>
                <Value>0</Value>
                <ValueType>Angle</ValueType>
            </Parameter>
            <Parameter>
                <Name>AlltoRein_IsShowSegmentLength</Name>
                <Text>show segment length</Text>
                <Value>False</Value>
                <ValueType>CheckBox</ValueType>
                <Visible>False</Visible>
            </Parameter>
            <Parameter>
                <Name>AlltoRein_SegmentLength</Name>
                <Text>Segment length</Text>
                <Value>100</Value>
                <ValueType>Length</ValueType>
                <Visible>AlltoRein_IsShowSegmentLength==True</Visible>
            </Parameter>

            <Parameter>
                <Name>AlltoRein_ConcreteCoverSame</Name>
                <Text>Same concrete cover</Text>
                <Value>True</Value>
                <ValueType>CheckBox</ValueType>
            </Parameter>

            <Parameter>
                <Name>AlltoRein_ConcreteCover</Name>
                <Text>Concrete cover</Text>
                <Value>0</Value>
                <Visible>AlltoRein_ConcreteCoverSame==True</Visible>
                <ValueType>ReinfConcreteCover</ValueType>
            </Parameter>

            <Parameter>
                <Name>AlltoRein_ConcreteCoverTop</Name>
                <Text>Top</Text>
                <Value>0</Value>
                <Visible>AlltoRein_ConcreteCoverSame==False</Visible>
                <ValueType>ReinfConcreteCover</ValueType>
            </Parameter>

            <Parameter>
                <Name>AlltoRein_ConcreteCoverBottom</Name>
                <Text>Bottom</Text>
                <Value>0</Value>
                <Visible>AlltoRein_ConcreteCoverSame==False</Visible>
                <ValueType>ReinfConcreteCover</ValueType>
            </Parameter>

            <Parameter>
                <Name>AlltoRein_ConcreteCoverLeft</Name>
                <Text>Left</Text>
                <Value>0</Value>
                <Visible>AlltoRein_ConcreteCoverSame==False</Visible>
                <ValueType>ReinfConcreteCover</ValueType>
            </Parameter>

            <Parameter>
                <Name>AlltoRein_ConcreteCoverRight</Name>
                <Text>Right</Text>
                <Value>0</Value>
                <Visible>AlltoRein_ConcreteCoverSame==False</Visible>
                <ValueType>ReinfConcreteCover</ValueType>
            </Parameter>
        </Parameter>

        <!-- Hooks -->
        <Parameter>
            <Name>Hook</Name>
            <Text>Hooks</Text>
            <ValueType>Expander</ValueType>

                <Parameter>
                    <Name>AlltoRein_IsStartHook</Name>
                    <Text>Start hook</Text>
                    <Value>False</Value>
                    <ValueType>CheckBox</ValueType>
                </Parameter>

                <Parameter>
                    <Name>AlltoRein_StartHookLength</Name>
                    <Text>length</Text>
                    <Value>100</Value>
                    <ValueType>Length</ValueType>
                    <Visible>AlltoRein_IsStartHook==True</Visible>
                </Parameter>

                <Parameter>
                    <Name>AlltoRein_StartHookAngle</Name>
                    <Text>angle</Text>
                    <Value>90</Value>
                    <ValueType>Angle</ValueType>
                    <Visible>AlltoRein_IsStartHook==True</Visible>
                </Parameter>

                <Parameter>
                    <Name>AlltoRein_IsEndHook</Name>
                    <Text>End hook</Text>
                    <Value>False</Value>
                    <ValueType>CheckBox</ValueType>
                </Parameter>

                <Parameter>
                    <Name>AlltoRein_EndHookLength</Name>
                    <Text>length</Text>
                    <Value>100</Value>
                    <ValueType>Length</ValueType>
                    <Visible>AlltoRein_IsEndHook==True</Visible>
                </Parameter>

                <Parameter>
                    <Name>AlltoRein_EndHookAngle</Name>
                    <Text>angle</Text>
                    <Value>90</Value>
                    <ValueType>Angle</ValueType>
                    <Visible>AlltoRein_IsEndHook==True</Visible>
                </Parameter>

        </Parameter>

        <!-- PlacementType -->
        <Parameter>
            <Name>AlltoRein_Placementtype</Name>
            <Text>Placement type</Text>
            <ValueType>Expander</ValueType>

            <Parameter>
                <Name>AlltoRein_BarPlacementType</Name>
                <Text> </Text>
                <Value>IsBarCount</Value>
                <ValueType>RadioButtonGroup</ValueType>

                <Parameter>
                    <Name>AlltoRein_IsBarCount</Name>
                    <Text>By count</Text>
                    <Value>IsBarCount</Value>
                    <ValueType>RadioButton</ValueType>
                </Parameter>
                <Parameter>
                    <Name>AlltoRein_IsBarSpacing</Name>
                    <Text>By spacing</Text>
                    <Value>IsBarSpacing</Value>
                    <ValueType>RadioButton</ValueType>
                </Parameter>
            </Parameter>

            <Parameter>
                <Name>AlltoRein_BarCount</Name>
                <Text>Bar count</Text>
                <Value>2</Value>
                <ValueType>Integer</ValueType>
                <Visible>AlltoRein_BarPlacementType==IsBarCount</Visible>
            </Parameter>
            <Parameter>
                <Name>AlltoRein_BarSpacing</Name>
                <Text>Bar spacing</Text>
                <Value>100</Value>
                <ValueType>Length</ValueType>
                <Visible>AlltoRein_BarPlacementType==IsBarSpacing</Visible>
            </Parameter>

            <Parameter>
                <Name>AlltoRein_StartDistance</Name>
                <Text>Start distance</Text>
                <Value>0</Value>
                <ValueType>Length</ValueType>
            </Parameter>

            <Parameter>
                <Name>AlltoRein_EndDistance</Name>
                <Text>End distance</Text>
                <Value>0</Value>
                <ValueType>Length</ValueType>
            </Parameter>

        </Parameter>

    </Page>
    
</Element>